Bug 249673 - devel/udis86: depends on python 2.x
Summary: devel/udis86: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:26 UTC by Steve Wills
Modified: 2021-01-01 15:05 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:26:12 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Rene Ladan freebsd_committer 2021-01-01 14:10:09 UTC
This PR seems to be a false positive according to make all-depends-list.
Comment 2 Rene Ladan freebsd_committer 2021-01-01 15:01:48 UTC
Oh, my bad, the dependency is optional.
Comment 3 commit-hook freebsd_committer 2021-01-01 15:05:43 UTC
A commit references this bug:

Author: rene
Date: Fri Jan  1 15:04:55 UTC 2021
New revision: 559833
URL: https://svnweb.freebsd.org/changeset/ports/559833

Log:
  devel/udis86: drop optional test dependency on expired Python 2.7

  PR:		249673
  Submitted by:	swills

Changes:
  head/devel/udis86/Makefile